Package org.springframework.security.access.event

# Class LoggerListener

java.lang.Object
org.springframework.security.access.event.LoggerListener

All Implemented Interfaces:
  `EventListener`, `org.springframework.context.ApplicationListener<AbstractAuthorizationEvent>`

@Deprecated public class LoggerListener extends Object implements org.springframework.context.ApplicationListener<AbstractAuthorizationEvent>
Deprecated.
Logging is now embedded in Spring Security components. If you need further logging, please consider using your own `ApplicationListener`
Outputs interceptor-related application events to Commons Logging.

All failures are logged at the warning level, with success events logged at the information level, and public invocation events logged at the debug level.

## Constructor Summary

Constructors
Constructor
Description
`LoggerListener()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`onApplicationEvent(AbstractAuthorizationEvent event)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`supportsAsyncExecution`

## Constructor Details

### LoggerListener

public LoggerListener()
Deprecated.

## Method Details

### onApplicationEvent

public void onApplicationEvent(AbstractAuthorizationEvent event)
Deprecated.

Specified by:
  `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<AbstractAuthorizationEvent>`